## mtail 0.0%2bgit20160716.f911b02

=== Makefile ===
# Copyright 2011 Google Inc. All Rights Reserved.
# This file is available under the Apache license.

GOFILES=\
	exporter/collectd.go\
	exporter/export.go\
	exporter/graphite.go\
	exporter/json.go\
	exporter/prometheus.go\
	exporter/statsd.go\
	exporter/varz.go\
	main.go\
	metrics/datum.go\
	metrics/metric.go\
	metrics/store.go\
	mtail/mtail.go\
	tailer/tail.go\
	vm/ast.go\
	vm/checker.go\
	vm/compiler.go\
	vm/driver.go\
	vm/lexer.go\
	vm/loader.go\
	vm/parser.go\
	vm/symtab.go\
	vm/unparser.go\
	vm/vm.go\
	watcher/fake_watcher.go\
	watcher/log_watcher.go\
	watcher/watcher.go\

GOTESTFILES=\
	ex_test.go\
	exporter/export_test.go\
	exporter/json_test.go\
	exporter/prometheus_test.go\
	exporter/varz_test.go\
	mtail/mtail_test.go\
	tailer/tail_test.go\
	testdata/reader.go\
	testdata/reader_test.go\
	vm/compiler_test.go\
	vm/lexer_test.go\
	vm/parser_test.go\
	vm/vm_test.go\
	watcher/fake_watcher_test.go\
	watcher/log_watcher_test.go\


CLEANFILES+=\
	vm/parser.go\
	vm/y.output\

all: mtail

.PHONY: mtail
mtail: $(GOFILES) install_deps
	go install

vm/parser.go: vm/parser.y
	cd vm && go generate

emgen/emgen: emgen/emgen.go
	cd emgen && go build

.PHONY: test
test: $(GOFILES) $(GOTESTFILES) mtail
	go test -v -timeout 60s ./...

.PHONY: testrace
testrace: $(GOFILES) $(GOTESTFILES) mtail
	go test -v -timeout 5m -race ./...

.PHONY: smoke
smoke: $(GOFILES) $(GOTESTFILES) mtail
	go test -v -timeout 10s -test.short ./...

.PHONY: bench
bench: $(GOFILES) $(GOTESTFILES)
	go test -bench=. -timeout 60s -run=XXX ./...

.PHONY: recbench
recbench: $(GOFILES) $(GOTESTFILES)
	go test -bench=. -run=XXX --record_benchmark ./...

.PHONY: coverage
coverage: gover.coverprofile
gover.coverprofile: $(GOFILES) $(GOTESTFILES)
	for package in exporter metrics mtail tailer vm watcher; do\
		go test -covermode=count -coverprofile=$$package.coverprofile ./$$package;\
    done
	gover

.PHONY: covrep
covrep: coverage.html
	xdg-open $<
coverage.html: gover.coverprofile
	go tool cover -html=$< -o $@

.PHONY: testall
testall: testrace bench

.PHONY: install_deps
install_deps: .dep-stamp

.dep-stamp: vm/parser.go
	go get -t -v ./...
	touch $@

.PHONY: install_coverage_deps
install_coverage_deps: .cov-dep-stamp

.cov-dep-stamp: install_deps
	go get golang.org/x/tools/cmd/cover
	go get github.com/modocache/gover
	go get github.com/mattn/goveralls
	touch $@

## mtail 0.0%2bgit20161027.a7b3e3c

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 GOTESTFILES=\
 	ex_test.go\
+	bench_test.go\
 	exporter/export_test.go\
 	exporter/json_test.go\
 	exporter/prometheus_test.go\
@@ -39,9 +40,11 @@
 	tailer/tail_test.go\
 	testdata/reader.go\
 	testdata/reader_test.go\
-	vm/compiler_test.go\
+	vm/checker_test.go\
+	vm/codegen_test.go\
 	vm/lexer_test.go\
 	vm/parser_test.go\
+	vm/symtab_test.go\
 	vm/vm_test.go\
 	watcher/fake_watcher_test.go\
 	watcher/log_watcher_test.go\
@@ -53,39 +56,42 @@
 
 all: mtail
 
-.PHONY: mtail
-mtail: $(GOFILES) install_deps
+.PHONY: clean
+clean:
+	rm -f $(CLEANFILES) .*dep-stamp
+
+install mtail: $(GOFILES) .dep-stamp
 	go install
 
-vm/parser.go: vm/parser.y
-	cd vm && go generate
+vm/parser.go: vm/parser.y .gen-dep-stamp
+	go generate -x ./vm
 
 emgen/emgen: emgen/emgen.go
 	cd emgen && go build
 
-.PHONY: test
-test: $(GOFILES) $(GOTESTFILES) mtail
+.PHONY: test 
+test: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 60s ./...
 
 .PHONY: testrace
-testrace: $(GOFILES) $(GOTESTFILES) mtail
+testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 5m -race ./...
 
 .PHONY: smoke
-smoke: $(GOFILES) $(GOTESTFILES) mtail
+smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 10s -test.short ./...
 
 .PHONY: bench
-bench: $(GOFILES) $(GOTESTFILES)
+bench: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -bench=. -timeout 60s -run=XXX ./...
 
 .PHONY: recbench
-recbench: $(GOFILES) $(GOTESTFILES)
+recbench: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -bench=. -run=XXX --record_benchmark ./...
 
 .PHONY: coverage
 coverage: gover.coverprofile
-gover.coverprofile: $(GOFILES) $(GOTESTFILES)
+gover.coverprofile: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	for package in exporter metrics mtail tailer vm watcher; do\
 		go test -covermode=count -coverprofile=$$package.coverprofile ./$$package;\
     done
@@ -103,8 +109,20 @@
 .PHONY: install_deps
 install_deps: .dep-stamp
 
-.dep-stamp: vm/parser.go
-	go get -t -v ./...
+IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... | sort | uniq | grep -v mtail)
+TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... | sort | uniq | grep -v mtail)
+
+.dep-stamp:
+	# Install all dependencies, ensuring they're updated
+	go get -u -v $(IMPORTS)
+	go get -u -v $(TESTIMPORTS)
+	touch $@
+
+.PHONY: install_gen_deps
+install_gen_deps: .gen-dep-stamp
+
+.gen-dep-stamp:
+	go get -u golang.org/x/tools/cmd/goyacc
 	touch $@
 
 .PHONY: install_coverage_deps

## mtail 0.0+git20160716.f911b02

=== debian/changelog ===
mtail (0.0+git20160716.f911b02-1) unstable; urgency=medium

  * Don't run race tests on any arch except amd64. Closes: #831724.
  * New upstream snapshot.
  * Conflict with monkeytail, which provides a binary with the same
    name. Closes: #831863.

 -- Martín Ferrari <tincho@debian.org>  Thu, 21 Jul 2016 16:27:55 +0000

mtail (0.0+git20160704.35c4023-1) unstable; urgency=medium

  * Initial release. (Closes: #830785)

 -- Martín Ferrari <tincho@debian.org>  Mon, 18 Jul 2016 00:09:49 +0000

=== debian/control ===
Source: mtail
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               golang-any,
               dh-golang (>= 1.17~),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-spf13-afero-dev,
               golang-glog-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git/
Homepage: https://github.com/google/mtail/

Package: mtail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, daemon,
Conflicts: monkeytail
Built-Using: ${misc:Built-Using}
Description: Extract monitoring data from logs for collection in a timeseries database
 Mtail is a tool for extracting metrics from application logs to be exported
 into a timeseries database or timeseries calculator for alerting and
 dashboarding.
 .
 It aims to fill a niche between applications that do not export their own
 internal state, and existing monitoring systems, without patching those
 applications or rewriting the same framework for custom extraction glue code.
 .
 Metrics are exported for scraping by a collector as JSON or Prometheus format
 over HTTP, or can be periodically sent to a collectd, StatsD, or Graphite
 collector socket.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail

#export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance
export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ vm/parser.y

BUILDDIR := $(CURDIR)/build

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	# Build parser.go
	cd $(BUILDDIR)/src/$(DH_GOPKG)/vm && go generate
	dh_auto_build

override_dh_auto_test:
	GOPATH=$(BUILDDIR) go test -v -timeout 60s $(DH_GOPKG)
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)
endif

override_dh_auto_install:

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(subst ~,_,$(VERSION)) > \
                ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## mtail 0.0+git20161027.a7b3e3c

=== debian/changelog ===
mtail (0.0+git20161027.a7b3e3c-1) unstable; urgency=medium

  * New upstream release.
  * Remove unneeded and incorrect watch file.
  * Refresh debian/rules.
  * Patch the code to use spf13's version of afero.
  * Add golang-golang-x-tools as dependency, for goyacc.

 -- Martín Ferrari <tincho@debian.org>  Thu, 03 Nov 2016 21:06:17 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
                golang-github-kylelemons-godebug-dev,
                golang-github-spf13-afero-dev,
                golang-glog-dev,
+               golang-golang-x-tools,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git/
 Homepage: https://github.com/google/mtail/
+XS-Go-Import-Path: github.com/google/mtail
 
 Package: mtail
 Architecture: any

## mtail 0.0+git20161231.ae129e9

=== Makefile ===
--- 
+++ 
@@ -69,8 +69,8 @@
 emgen/emgen: emgen/emgen.go
 	cd emgen && go build
 
-.PHONY: test 
-test: $(GOFILES) $(GOTESTFILES) .dep-stamp
+.PHONY: test check 
+check test: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 60s ./...
 
 .PHONY: testrace
@@ -122,7 +122,7 @@
 install_gen_deps: .gen-dep-stamp
 
 .gen-dep-stamp:
-	go get -u golang.org/x/tools/cmd/goyacc
+	go get golang.org/x/tools/cmd/goyacc
 	touch $@
 
 .PHONY: install_coverage_deps

=== debian/changelog ===
mtail (0.0+git20161231.ae129e9-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove now unneeded patch.
  * Switch to golang-go, as this does not seem to work under gccgo.

 -- Martín Ferrari <tincho@debian.org>  Sat, 14 Jan 2017 07:17:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
-               golang-any,
+               golang-go,
                dh-golang (>= 1.17~),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-kylelemons-godebug-dev,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail

export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ vm/parser.y

# Build parser.go
export DH_GOLANG_GO_GENERATE := 1

BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_test:
	GOPATH=$(BUILDDIR) go test -v -timeout 60s $(DH_GOPKG)
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)
endif

override_dh_auto_install:
	dh_auto_install -- --no-source

## mtail 3.0.0~rc1+git20170727.6db685b

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	exporter/statsd.go\
 	exporter/varz.go\
 	main.go\
-	metrics/datum.go\
+	metrics/datum/datum.go\
+	metrics/datum/int.go\
 	metrics/metric.go\
 	metrics/store.go\
 	mtail/mtail.go\
@@ -36,6 +37,9 @@
 	exporter/json_test.go\
 	exporter/prometheus_test.go\
 	exporter/varz_test.go\
+	metrics/datum/int_test.go\
+	metrics/metric_test.go\
+	metrics/store_test.go\
 	mtail/mtail_test.go\
 	tailer/tail_test.go\
 	testdata/reader.go\
@@ -45,6 +49,7 @@
 	vm/lexer_test.go\
 	vm/parser_test.go\
 	vm/symtab_test.go\
+	vm/types_test.go\
 	vm/vm_test.go\
 	watcher/fake_watcher_test.go\
 	watcher/log_watcher_test.go\
@@ -60,8 +65,11 @@
 clean:
 	rm -f $(CLEANFILES) .*dep-stamp
 
+version := $(shell git describe --tags)
+revision := $(shell git rev-parse HEAD)
+
 install mtail: $(GOFILES) .dep-stamp
-	go install
+	go install -ldflags "-X main.Version=${version} -X main.Revision=${revision}"
 
 vm/parser.go: vm/parser.y .gen-dep-stamp
 	go generate -x ./vm
@@ -71,23 +79,30 @@
 
 .PHONY: test check 
 check test: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 60s ./...
+	go test -v -timeout 60s ./... ./testdata
 
 .PHONY: testrace
 testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 5m -race ./...
+	go test -v -timeout 5m -race ./... ./testdata
 
 .PHONY: smoke
 smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 10s -test.short ./...
+	go test -v -timeout 10s -test.short ./... ./testdata
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -bench=. -timeout 60s -run=XXX ./...
+	go test -bench=. -timeout=60s -run=XXX ./... ./testdata
+
+.PHONY: bench_cpu
+bench_cpu:
+	go test -bench=. -run=TestExample -timeout=60s -cpuprofile=cpu.out
+.PHONY: bench_mem
+bench_mem:
+	go test -bench=. -run=TestExample -timeout=60s -memprofile=mem.out
 
 .PHONY: recbench
 recbench: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -bench=. -run=XXX --record_benchmark ./...
+	go test -bench=. -run=XXX --record_benchmark ./... ./testdata
 
 .PHONY: coverage
 coverage: gover.coverprofile
@@ -109,8 +124,8 @@
 .PHONY: install_deps
 install_deps: .dep-stamp
 
-IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... | sort | uniq | grep -v mtail)
-TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... | sort | uniq | grep -v mtail)
+IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... ./testdata | sort | uniq | grep -v mtail)
+TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... ./testdata | sort | uniq | grep -v mtail)
 
 .dep-stamp:
 	# Install all dependencies, ensuring they're updated

=== debian/changelog ===
mtail (3.0.0~rc1+git20170727.6db685b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add watch file, now that upstream is doing releases (some times).
  * debian/gbp.conf: Add builder defaults.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/patches: Add patch to force the use of installed goyacc.
  * Vendor in the go-test/deep library to avoid adding a tiny package to
    the archive.

 -- Martín Ferrari <tincho@debian.org>  Sun, 30 Jul 2017 16:30:48 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                golang-github-spf13-afero-dev,
                golang-glog-dev,
                golang-golang-x-tools,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git/
 Homepage: https://github.com/google/mtail/
 XS-Go-Import-Path: github.com/google/mtail
+Testsuite: autopkgtest-pkg-go
 
 Package: mtail
 Architecture: any

## mtail 3.0.0~rc4

=== Makefile ===
--- 
+++ 
@@ -79,15 +79,15 @@
 
 .PHONY: test check 
 check test: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 60s ./... ./testdata
+	go test -v -timeout 10s ./... ./testdata
 
 .PHONY: testrace
 testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 5m -race ./... ./testdata
+	go test -v -timeout 60s -race ./... ./testdata
 
 .PHONY: smoke
 smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 10s -test.short ./... ./testdata
+	go test -v -timeout 1s -test.short ./... ./testdata
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES) .dep-stamp
@@ -95,10 +95,10 @@
 
 .PHONY: bench_cpu
 bench_cpu:
-	go test -bench=. -run=TestExample -timeout=60s -cpuprofile=cpu.out
+	go test -bench=. -run=XXX -timeout=60s -cpuprofile=cpu.out
 .PHONY: bench_mem
 bench_mem:
-	go test -bench=. -run=TestExample -timeout=60s -memprofile=mem.out
+	go test -bench=. -run=XXX -timeout=60s -memprofile=mem.out
 
 .PHONY: recbench
 recbench: $(GOFILES) $(GOTESTFILES) .dep-stamp

=== debian/changelog ===
mtail (3.0.0~rc4-1) unstable; urgency=high

  * New upstream snapshot, with bug fixes.
  * debian/rules: Fix compilation on mips* (raising urgency).
  * debian/control: Depend of specific version of spf13/afero.
  * Add new dependency on go-cmp.
  * Remove now unneeded go-deep vendoring.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 Oct 2017 11:23:40 +0000

mtail (3.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * Stop generating emgen binary, it is only used for tests.
  * Properly set version and revision variables.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Replace golang-go with golang-any in Build-Depends.

 -- Martín Ferrari <tincho@debian.org>  Mon, 04 Sep 2017 02:07:43 +0000

## mtail 3.0.0~rc5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,11 @@
 # Copyright 2011 Google Inc. All Rights Reserved.
 # This file is available under the Apache license.
+
+ifeq ($(TRAVIS),true)
+timeout := 5m
+else
+timeout := 60s
+endif
 
 GOFILES=\
 	exporter/collectd.go\
@@ -83,11 +89,15 @@
 
 .PHONY: testrace
 testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 60s -race ./... ./testdata
+	go test -v -timeout ${timeout} -race ./... ./testdata
 
 .PHONY: smoke
 smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 1s -test.short ./... ./testdata
+
+.PHONY: ex_test
+ex_test: ex_test.go testdata/* examples/*
+	go test -run TestExamplePrograms -v --logtostderr
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES) .dep-stamp

=== debian/changelog ===
mtail (3.0.0~rc5-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 03 Jan 2018 11:51:53 +0100

=== debian/control ===
Source: mtail
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Build-Depends: debhelper (>= 9.0.0),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-google-go-cmp-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-spf13-afero-dev (>= 0.0~git20170901),
               golang-glog-dev,
               golang-golang-x-tools,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git
Homepage: https://github.com/google/mtail/
XS-Go-Import-Path: github.com/google/mtail
Testsuite: autopkgtest-pkg-go

Package: mtail
Architecture: any
Depends: adduser,
         daemon,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: monkeytail,
Built-Using: ${misc:Built-Using},
Description: Extract monitoring data from logs for collection in a timeseries database
 Mtail is a tool for extracting metrics from application logs to be exported
 into a timeseries database or timeseries calculator for alerting and
 dashboarding.
 .
 It aims to fill a niche between applications that do not export their own
 internal state, and existing monitoring systems, without patching those
 applications or rewriting the same framework for custom extraction glue code.
 .
 Metrics are exported for scraping by a collector as JSON or Prometheus format
 over HTTP, or can be periodically sent to a collectd, StatsD, or Graphite
 collector socket.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail
export DH_GOLANG_EXCLUDES := /emgen
export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ vm/parser.y
# Build parser.go
export DH_GOLANG_GO_GENERATE := 1

BUILDDIR := $(CURDIR)/build
GCCGO      := $(strip $(shell go version | grep gccgo))
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X main.Version=$(DEB_VERSION_UPSTREAM)\
    -X main.Revision=$(DEB_VERSION)"

ifneq ($(GCCGO),)
# Workaround until #872402 is fixed.
ifeq ($(findstring mips,$(DEB_HOST_ARCH)),mips)
# mipsel => mipsle, mips64el => mips64le
BUILDTAGS += $(DEB_HOST_ARCH:el=le)
endif
endif

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

override_dh_auto_test:
	GOPATH=$(BUILDDIR) go test -v -timeout 60s $(DH_GOPKG)
	# Only run race tests on amd64.
	test "$(DEB_HOST_ARCH_CPU)" != amd64 || \
            GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)

override_dh_auto_install:
	dh_auto_install -- --no-source

## mtail 3.0.0~rc15

=== Makefile ===
# Copyright 2011 Google Inc. All Rights Reserved.
# This file is available under the Apache license.

# Set the timeout for tests run under the race detector.
timeout := 60s
ifeq ($(TRAVIS),true)
timeout := 5m
endif
ifeq ($(CIRCLECI),true)
timeout := 5m
endif

GOFILES=$(shell find . -name '*.go' -a ! -name '*_test.go')

GOTESTFILES=$(shell find . -name '*_test.go')

CLEANFILES+=\
	vm/parser.go\
	vm/y.output\


all: mtail

.PHONY: clean covclean crossclean
clean: covclean crossclean
	rm -f $(CLEANFILES) .*dep-stamp
covclean:
	rm -f *.coverprofile coverage.html
crossclean:
	rm -rf build

version := $(shell git describe --tags)
revision := $(shell git rev-parse HEAD)
release := $(shell git describe --tags | cut -d"-" -f 1,2)

GO_LDFLAGS := "-X main.Version=${version} -X main.Revision=${revision}"

.PHONY: install mtail
install mtail: $(GOFILES)
	go install -ldflags $(GO_LDFLAGS)

vm/parser.go: vm/parser.y .gen-dep-stamp
	go generate -x ./vm

emgen/emgen: emgen/emgen.go
	cd emgen && go build

.PHONY: install_crossbuild
install_crossbuild: .crossbuild-dep-stamp

.crossbuild-dep-stamp:
	go get github.com/mitchellh/gox
	touch $@

GOX_OSARCH ?= "linux/amd64 windows/amd64 darwin/amd64"
#GOX_OSARCH := ""

.PHONY: crossbuild
crossbuild: install_crossbuild $(GOFILES) .dep-stamp
	mkdir -p build
	gox --output="./build/mtail_${release}_{{.OS}}_{{.Arch}}" -osarch=$(GOX_OSARCH) -ldflags $(GO_LDFLAGS)

.PHONY: test check
check test: $(GOFILES) $(GOTESTFILES)
	go test -timeout 10s ./...

.PHONY: testrace
testrace: $(GOFILES) $(GOTESTFILES)
	go test -timeout ${timeout} -race -v ./...

.PHONY: testex
testex:
	go test -timeout ${timeout} -run Test.*ExamplePrograms -v

.PHONY: smoke
smoke: $(GOFILES) $(GOTESTFILES)
	go test -timeout 1s -test.short ./...

.PHONY: ex_test
ex_test: ex_test.go testdata/* examples/*
	go test -run TestExamplePrograms --logtostderr

.PHONY: bench
bench: $(GOFILES) $(GOTESTFILES)
	go test -bench=. -timeout=60s -run=XXX ./...

.PHONY: bench_cpu
bench_cpu:
	go test -bench=. -run=XXX -timeout=60s -cpuprofile=cpu.out
.PHONY: bench_mem
bench_mem:
	go test -bench=. -run=XXX -timeout=60s -memprofile=mem.out

.PHONY: recbench
recbench: $(GOFILES) $(GOTESTFILES)
	go test -bench=. -run=XXX --record_benchmark ./...

.PHONY: regtest
regtest:
	tests/regtest.sh

PACKAGES := $(shell find . -name '*.go' -exec dirname {} \; | sort -u)

PHONY: coverage
coverage: gover.coverprofile
gover.coverprofile: $(GOFILES) $(GOTESTFILES)
	for package in $(PACKAGES); do\
		go test -covermode=count -coverprofile=$$(echo $$package | tr './' '__').coverprofile ./$$package;\
    done
	gover

.PHONY: covrep
covrep: coverage.html
	xdg-open $<
coverage.html: gover.coverprofile
	go tool cover -html=$< -o $@

.PHONY: testall
testall: testrace bench regtest

.PHONY: install_deps
install_deps: .dep-stamp

IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... | sort | uniq | grep -v mtail)
TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... | sort | uniq | grep -v mtail)

.dep-stamp: vm/parser.go
	@echo "Install all dependencies, ensuring they're updated"
	go get -u -v $(IMPORTS)
	go get -u -v $(TESTIMPORTS)
	touch $@

.PHONY: install_gen_deps
install_gen_deps: .gen-dep-stamp

.gen-dep-stamp:
	go get golang.org/x/tools/cmd/goyacc
	touch $@

.PHONY: install_coverage_deps
install_coverage_deps: .cov-dep-stamp vm/parser.go

.cov-dep-stamp: install_deps
	go get golang.org/x/tools/cmd/cover
	go get github.com/sozorogami/gover
	go get github.com/mattn/goveralls
	touch $@

ifeq ($(CIRCLECI),true)
  COVERALLS_SERVICE := circle-ci
endif
ifeq ($(TRAVIS),true)
  COVERALLS_SERVICE := travis-ci
endif

upload_to_coveralls: gover.coverprofile
	goveralls -coverprofile=gover.coverprofile -service=$(COVERALLS_SERVICE)

## make u a container
.PHONY: container
container: Dockerfile
	docker build -t mtail \
		--build-arg version=${version} \
	    --build-arg commit_hash=${revision} \
	    --build-arg build_date=$(shell date -Iseconds --utc) \
	    .

# Append the bin subdirs of every element of the GOPATH list to PATH, so we can find goyacc.
empty :=
space := $(empty) $(empty)
export PATH := $(PATH):$(subst $(space),:,$(patsubst %,%/bin,$(subst :, ,$(GOPATH))))

=== debian/changelog ===
mtail (3.0.0~rc15-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream release candidate.
  * Remove now unneeded patch.
  * Automated cmd fixes.
  * Remove unused lintian override.
  * Bump debhelper compat level to 11.
  * debian/docs: Add documentation.
  * debian/postinst: Do not change permissions recursively.
  * debian/rules: Check DEB_BUILD_OPTIONS before running tests.
  * debian/rules: Remove old cruft.
  * debian/rules: Add missing test files.
  * debian/rules: Add tzdata as dependency.
  * Initscripts: Do not use ENABLED flag, instead use dh_installinit
    flags.
  * Patch a test that might timeout under load.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Jul 2018 03:38:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mtail
-Section: net
-Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
-Build-Depends: debhelper (>= 9.0.0),
+Section: net
+Testsuite: autopkgtest-pkg-go
+Priority: optional
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
@@ -12,17 +13,18 @@
                golang-github-spf13-afero-dev (>= 0.0~git20170901),
                golang-glog-dev,
                golang-golang-x-tools,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git
+               tzdata,
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
+Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/
 XS-Go-Import-Path: github.com/google/mtail
-Testsuite: autopkgtest-pkg-go
 
 Package: mtail
 Architecture: any
 Depends: adduser,
          daemon,
+         tzdata,
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: monkeytail,

## mtail 3.0.0~rc16

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 ifeq ($(CIRCLECI),true)
 timeout := 5m
 endif
+# Let the benchmarks run for a long time.  The timeout is for the total time of
+# all benchmarks, not per bench.
+benchtimeout := 10m
 
 GOFILES=$(shell find . -name '*.go' -a ! -name '*_test.go')
 
@@ -82,14 +85,14 @@
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES)
-	go test -bench=. -timeout=60s -run=XXX ./...
+	go test -bench=. -timeout=${benchtimeout} -run=XXX ./...
 
 .PHONY: bench_cpu
 bench_cpu:
-	go test -bench=. -run=XXX -timeout=60s -cpuprofile=cpu.out
+	go test -bench=. -run=XXX -timeout=${benchtimeout} -cpuprofile=cpu.out
 .PHONY: bench_mem
 bench_mem:
-	go test -bench=. -run=XXX -timeout=60s -memprofile=mem.out
+	go test -bench=. -run=XXX -timeout=${benchtimeout} -memprofile=mem.out
 
 .PHONY: recbench
 recbench: $(GOFILES) $(GOTESTFILES)

=== debian/changelog ===
mtail (3.0.0~rc16-1ubuntu1) disco; urgency=medium

  * Build-depend on golang-race-detector-runtime on amd64 to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 17 Nov 2018 23:02:22 -0500

mtail (3.0.0~rc16-1) unstable; urgency=medium

  * New upstream release candidate.
  * Update Standards-Version with no changes.
  * Stop using pristine-tar.

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Oct 2018 19:14:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mtail
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -13,8 +14,9 @@
                golang-github-spf13-afero-dev (>= 0.0~git20170901),
                golang-glog-dev,
                golang-golang-x-tools,
+               golang-race-detector-runtime [amd64],
                tzdata,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail
export DH_GOLANG_EXCLUDES := /emgen
export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ \
    testutil/reader_test.golden vm/parser.y
# Build parser.go
export DH_GOLANG_GO_GENERATE := 1

BUILDDIR := $(CURDIR)/build
BUILDFLAGS = -ldflags \
  " -X main.Version=$(DEB_VERSION_UPSTREAM)\
    -X main.Revision=$(DEB_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	# Only run race tests on amd64.
	test "$(DEB_HOST_ARCH_CPU)" != amd64 || \
            GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)
endif

override_dh_installinit:
	dh_installinit --no-enable --no-start

override_dh_auto_install:
	dh_auto_install -- --no-source

## mtail 3.0.0~rc19

=== Makefile ===
# Copyright 2011 Google Inc. All Rights Reserved.
# This file is available under the Apache license.


# Build these.
TARGETS = mtail mgen mdot

# Install them here
PREFIX ?= usr/local

# Place to store dependencies.
DEPDIR = .d
$(DEPDIR):
	install -d $(DEPDIR)

# This rule finds all non-standard-library dependencies of each target and emits them to a makefile include.
# Thanks mrtazz: https://unwiredcouch.com/2016/05/31/go-make.html
MAKEDEPEND = echo "$@: $$(go list -f '{{if not .Standard}}{{.Dir}}{{end}}' $$(go list -f '{{ join .Deps "\n" }}' $<) | sed -e 's@$$@/*.go@' | tr "\n" " " )" > $(DEPDIR)/$@.d

# This rule allows the dependencies to not exist yet, for the first run.
$(DEPDIR)/%.d: ;
.PRECIOUS: $(DEPDIR)/%.d

# This instruction loads any dependency includes for our targets.
-include $(patsubst %,$(DEPDIR)/%.d,$(TARGETS))

# Set the timeout for tests run under the race detector.
timeout := 10m
ifeq ($(TRAVIS),true)
timeout := 20m
endif
ifeq ($(CIRCLECI),true)
timeout := 20m
endif
# Let the benchmarks run for a long time.  The timeout is for the total time of
# all benchmarks, not per bench.
benchtimeout := 20m

# Only be verbose with `go get` unless the UPGRADE variable is also set.
GOGETFLAGS="-v"
ifeq ($(UPGRADE),"y")
GOGETFLAGS=$(GOGETFLAGS) "-u"
endif

GOFILES=$(shell find . -name '*.go' -a ! -name '*_test.go')

GOTESTFILES=$(shell find . -name '*_test.go')

GOGENFILES=internal/vm/parser/parser.go\
	internal/mtail/logo.ico.go


CLEANFILES+=\
	internal/vm/parser/parser.go\
	internal/vm/parser/y.output\
	internal/mtail/logo.ico.go\
	internal/mtail/logo.ico\

# A place to install tool dependencies.
BIN = $(GOPATH)/bin

TOGO = $(BIN)/togo
$(TOGO):
	go get $(UPGRADE) -v github.com/flazz/togo

GOYACC = $(BIN)/goyacc
$(GOYACC):
	go get $(UPGRADE) -v golang.org/x/tools/cmd/goyacc

GOFUZZBUILD = $(BIN)/go-fuzz-build
$(GOFUZZBUILD):
	go get $(UPGRADE) -v github.com/dvyukov/go-fuzz/go-fuzz-build

GOFUZZ = $(BIN)/go-fuzz
$(GOFUZZ):
	go get $(UPGRADE) -v github.com/dvyukov/go-fuzz/go-fuzz

GOVERALLS = $(BIN)/goveralls
$(GOVERALLS):
	go get $(UPGRADE) -v github.com/mattn/goveralls

GOX = $(BIN)/gox
$(GOX):
	go get github.com/mitchellh/gox

all: $(TARGETS)

.PHONY: clean covclean crossclean
clean: covclean crossclean
	rm -f $(CLEANFILES) .*dep-stamp
covclean:
	rm -f *.coverprofile coverage.html $(COVERPROFILES)
crossclean:
	rm -rf build

version := $(shell git describe --tags --always --dirty)
revision := $(shell git rev-parse HEAD)
release := $(shell git describe --tags | cut -d"-" -f 1,2)

GO_LDFLAGS := "-X main.Version=${version} -X main.Revision=${revision}"

# Very specific static pattern rule to only do this for commandline targets.
# Each commandline must be in a 'main.go' in their respective directory.  The
# MAKEDEPEND rule generates a list of dependencies for the next make run -- the
# first time the rule executes because the target doesn't exist, subsequent
# runs can read the dependencies and update iff they change.
$(TARGETS): %: cmd/%/main.go $(DEPDIR)/%.d | .dep-stamp
	$(MAKEDEPEND)
	go build -ldflags $(GO_LDFLAGS) -o $@ $<

internal/vm/parser/parser.go: internal/vm/parser/parser.y | $(GOYACC)
	go generate -x ./$(@D)

internal/mtail/logo.ico: logo.png
	/usr/bin/convert $< -define icon:auto-resize=64,48,32,16 $@ || touch $@

internal/mtail/logo.ico.go: | internal/mtail/logo.ico $(TOGO)
	$(TOGO) -pkg mtail -name logoFavicon -input internal/mtail/logo.ico


###
## Install rules
#
# Would subst all $(TARGETS) except other binaries are just for development.
INSTALLED_TARGETS = $(PREFIX)/bin/mtail

.PHONY: install
install: $(INSTALLED_TARGETS)

$(PREFIX)/bin/%: %
	install -d $(@D)
	install -m 755 $< $@


GOX_OSARCH ?= "linux/amd64 windows/amd64 darwin/amd64"
#GOX_OSARCH := ""

.PHONY: crossbuild
crossbuild: $(GOFILES) $(GOGENFILES) | $(GOX) .dep-stamp
	mkdir -p build
	gox --output="./build/mtail_${release}_{{.OS}}_{{.Arch}}" -osarch=$(GOX_OSARCH) -ldflags $(GO_LDFLAGS) ./cmd/mtail

.PHONY: test check
check test: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
	go test -timeout 10s ./...

.PHONY: testrace
testrace: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
	go test -timeout ${timeout} -race -v -tags=integration ./...

.PHONY: smoke
smoke: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | .dep-stamp
	go test -timeout 1s -test.short ./...

.PHONY: bench
bench: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | .dep-stamp
	go test -tags=integration -bench=. -timeout=${benchtimeout} -run=XXX ./...

.PHONY: bench_cpu
bench_cpu: | .dep-stamp
	go test -tags=integration -bench=. -run=XXX -timeout=${benchtimeout} -cpuprofile=cpu.out
.PHONY: bench_mem
bench_mem: | .dep-stamp
	go test -tags=integration
-bench=. -run=XXX -timeout=${benchtimeout} -memprofile=mem.out

.PHONY: recbench
recbench: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | .dep-stamp
	go test -bench=. -run=XXX --record_benchmark ./...

.PHONY: regtest
regtest: | .dep-stamp
	go test -v -tags=integration -timeout=${timeout} ./...

PACKAGES := $(shell go list -f '{{.Dir}}' ./... | grep -v /vendor/ | grep -v /cmd/ | sed -e "s@$$(pwd)@.@")

.PHONY: testall
testall: testrace bench regtest

IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... | sort | uniq | grep -v mtail)
TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... | sort | uniq | grep -v mtail)

## make u a container
.PHONY: container
container: Dockerfile
	docker build -t mtail \
		--build-arg version=${version} \
	    --build-arg commit_hash=${revision} \
	    --build-arg build_date=$(shell date -Iseconds --utc) \
	    .

# Append the bin subdirs of every element of the GOPATH list to PATH, so we can find goyacc.
empty :=
space := $(empty) $(empty)
export PATH := $(PATH):$(subst $(space),:,$(patsubst %,%/bin,$(subst :, ,$(GOPATH))))

###
## Fuzz testing
#

vm-fuzz.zip: $(GOFILES) | $(GOFUZZBUILD)
	$(GOFUZZBUILD) github.com/google/mtail/internal/vm

.PHONY: fuzz
fuzz: vm-fuzz.zip | $(GOFUZZ)
#	rm -rf workdir
	mkdir -p workdir/corpus
	cp examples/*.mtail workdir/corpus
	$(GOFUZZ) -bin=vm-fuzz.zip -workdir=workdir

###
## dependency section
#
.PHONY: install_deps
install_deps: .dep-stamp
.dep-stamp: internal/vm/parser/parser.go
	@echo "Install all dependencies, ensuring they're updated"
	go get $(UPGRADE) -v $(IMPORTS)
	go get $(UPGRADE) -v $(TESTIMPORTS)
	touch $@


###
## Coverage
#
.PHONY: coverage covrep

coverage: coverprofile

coverprofile: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
	go test -v -covermode=count -coverprofile=$@ -tags=integration -timeout=${timeout} $(PACKAGES)

coverage.html: coverprofile
	go tool cover -html=$< -o $@

covrep: coverage.html
	xdg-open $<

ifeq ($(CIRCLECI),true)
  COVERALLS_SERVICE := circle-ci
endif
ifeq ($(TRAVIS),true)
  COVERALLS_SERVICE := travis-ci
endif

.PHONY: upload_to_coveralls
upload_to_coveralls: | coverprofile $(GOVERALLS)
	$(GOVERALLS) -coverprofile=coverprofile -service=$(COVERALLS_SERVICE)

=== debian/changelog ===
mtail (3.0.0~rc19-2) unstable; urgency=high

  * Do not build mgen and mdot, they are used only for development.
    Closes: #921474.

 -- Martín Ferrari <tincho@debian.org>  Thu, 07 Feb 2019 20:58:23 +0000

mtail (3.0.0~rc19-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version with no changes.
  * Refresh patches.
  * debian/rules: Update paths.
  * debian/control: Update dependencies.
  * debian/rules: Update integration test invocation.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Feb 2019 06:04:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mtail
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -9,14 +8,13 @@
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-golang-groupcache-dev,
                golang-github-google-go-cmp-dev,
-               golang-github-kylelemons-godebug-dev,
-               golang-github-spf13-afero-dev (>= 0.0~git20170901),
+               golang-github-pkg-errors-dev,
                golang-glog-dev,
                golang-golang-x-tools,
-               golang-race-detector-runtime [amd64],
                tzdata,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/

## mtail 3.0.0~rc24.1

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,10 @@
 	rm -f *.coverprofile coverage.html $(COVERPROFILES)
 crossclean:
 	rm -rf build
+
+.PHONY: lint
+lint:
+	golangci-lint run ./...
 
 version := $(shell git describe --tags --always --dirty)
 revision := $(shell git rev-parse HEAD)
@@ -141,11 +145,11 @@
 	gox --output="./build/mtail_${release}_{{.OS}}_{{.Arch}}" -osarch=$(GOX_OSARCH) -ldflags $(GO_LDFLAGS) ./cmd/mtail
 
 .PHONY: test check
-check test: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
+check test: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(LOGO_GO) .dep-stamp
 	go test -timeout 10s ./...
 
 .PHONY: testrace
-testrace: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
+testrace: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(LOGO_GO) .dep-stamp
 	go test -timeout ${timeout} -race -v -tags=integration ./...
 
 .PHONY: smoke
@@ -227,7 +231,7 @@
 
 coverage: coverprofile
 
-coverprofile: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
+coverprofile: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(LOGO_GO) .dep-stamp
 	go test -v -covermode=count -coverprofile=$@ -tags=integration -timeout=${timeout} $(PACKAGES)
 
 coverage.html: coverprofile

=== debian/changelog ===
mtail (3.0.0~rc24.1-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build-depend on golang-race-detector-runtime on amd64 to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 27 Apr 2019 18:02:05 -0400

mtail (3.0.0~rc24.1-1) unstable; urgency=medium

  * New upstream release (plus one commit).
  * Add new dependency on prometheus/client_golang.

 -- Martín Ferrari <tincho@debian.org>  Fri, 01 Mar 2019 16:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mtail
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -11,8 +12,10 @@
                golang-github-golang-groupcache-dev,
                golang-github-google-go-cmp-dev,
                golang-github-pkg-errors-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-glog-dev,
                golang-golang-x-tools,
+               golang-race-detector-runtime [amd64],
                tzdata,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 
 #export DH_VERBOSE=1
 export DH_GOPKG := github.com/google/mtail
-export DH_GOLANG_EXCLUDES := /emgen
-export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ \
-    testutil/reader_test.golden vm/parser.y
+export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/cmd/mgen $(DH_GOPKG)/cmd/mdot
+export DH_GOLANG_INSTALL_EXTRA := examples/ \
+    internal/mtail/golden/ internal/mtail/testdata/ \
+    internal/vm/parser/parser.y
 # Build parser.go
 export DH_GOLANG_GO_GENERATE := 1
 
@@ -25,7 +26,8 @@
 	dh_auto_test
 	# Only run race tests on amd64.
 	test "$(DEB_HOST_ARCH_CPU)" != amd64 || \
-            GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)
+            GOPATH=$(BUILDDIR) go test -v -timeout 5m -race -tags=integration \
+                $(DH_GOPKG)/...
 endif
 
 override_dh_installinit:
